> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/compute/vm/disk/modifydisksattributes.md).

# ModifyDisksAttributes

## 1. API Description

This API (ModifyDisksAttributes) is used to the API is used to modify the attributes of one or more disks.

{% hint style="info" %} <mark style="color:blue;">**Note**</mark>

* <mark style="color:blue;">Only the disk name to be displayed can be modified for now.</mark>
* <mark style="color:blue;">All the specified disks will be modified the same attributes.</mark>
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type            | Description                                                                                                                                                                          |
| -------------- | -------- | --------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| diskIds        | Yes      | Array of String | ID list of disks to be modified.                                                                                                                                                     |
| diskName       | Yes      | String          | <p>Disk name to be displayed.</p><p>This parameter must start with a number or a letter, containing up to 64 characters. Only letters, numbers, - and periods (.) are supported.</p> |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Modify the attributes of one or more disks.**

```json
POST /api/v2/vm HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyDisksAttributes
<Common Request Params>

Request:
{
  "diskIds": [
    "your-disk-id"
  ],
  "diskName": "newDiskName"
}

Response:
{
  "requestId": "TBC8CAEA6-67DF-43D1-81F8-39E0FBF39DBF",
  "response": {
    "requestId": "TBC8CAEA6-67DF-43D1-81F8-39E0FBF39DBF"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |
